Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface UserPageStateMetadata

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface UserPageStateMetadata

Interface `UserPageStateMetadata` represents the dynamic data about a page which is required for rendering.

Method Summary
`String` | `getDisplayName()` Deprecated. Method `getDisplayName` retrieves the personalized display name of the associated portal page.
`String` | `getDisplayType()` Deprecated.
`int` | `getIndex()` Deprecated. Method `getIndex` returns an integer representing the position of this page in the ordering of all portal pages.
`PageIdentifier` | `getPageIdentifier()` Deprecated. Method `getPageIdentifier` retrieves the identifier of the portal page that this object is the state of.
`Boolean` | `isDisplayMutable()` Deprecated.

Method Detail

### getPageIdentifier

    public PageIdentifier getPageIdentifier()

  Deprecated.
  Method `getPageIdentifier` retrieves the identifier of the portal page that this object is the state of.

  Returns:
    A value of type `PageIdentifier` used to specify the portal page that this object is the state of.

### getDisplayName

    public String getDisplayName()

  Deprecated.
  Method `getDisplayName` retrieves the personalized display name of the associated portal page. This data is personalized to the associated user at group scope.

  Returns:
    A value of type `String` used to describe the portal page to the associated user.

### getDisplayType

    public String getDisplayType()

  Deprecated.

### isDisplayMutable

    public Boolean isDisplayMutable()

  Deprecated.

### getIndex

    public int getIndex()

  Deprecated.
  Method `getIndex` returns an integer representing the position of this page in the ordering of all portal pages.

  Returns:
    A value of primitive type `int` representing the position of this portal page.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved